Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.iso_profile
Class Mapping2_0_2

    java.lang.Object
      org.deegree.ogcwebservices.csw.iso_profile.Mapping2_0_2

    public class Mapping2_0_2

extends Object

Version:
  $Revision: 1.9 $, $Date: 2008-01-25 14:36:09 $
Author:
  Andreas Poth, last edited by: $Author: buesching $

Constructor Summary
`Mapping2_0_2()`

Method Summary
`static String` | `getId()`
`String` | `getLiteralValueIsEqualTo(Node node)`
`String` | `getLiteralValueIsLike(Node node, String propName, String wildCard)`
`String` | `mapPropertyValue(Node node, String nspDec)` maps a property name of GetRecords, Delete and Update request from the catalogue schema to the underlying WFS schema
`String` | `mapSortProperty(Node node, String nspDec)` maps property names for sorting from the catalogue schema to the underlying WFS schema

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mapping2_0_2

    public Mapping2_0_2()

Method Detail

### mapPropertyValue

    public String mapPropertyValue(Node node,
                                   String nspDec)
                            throws XMLParsingException

  maps a property name of GetRecords, Delete and Update request from the catalogue schema to the underlying WFS schema

  Parameters:
    `node` -
    `nspDec` -
  Returns:
    the value
  Throws:
    `XMLParsingException`

### mapSortProperty

    public String mapSortProperty(Node node,
                                  String nspDec)
                           throws XMLParsingException

  maps property names for sorting from the catalogue schema to the underlying WFS schema

  Parameters:
    `node` -
    `nspDec` -
  Returns:
    the property
  Throws:
    `XMLParsingException`

### getLiteralValueIsLike

    public String getLiteralValueIsLike(Node node,
                                        String propName,
                                        String wildCard)
                                 throws XMLParsingException

  Parameters:
    `node` -
    `propName` -
    `wildCard` -
  Returns:
    the literal
  Throws:
    `XMLParsingException`

### getLiteralValueIsEqualTo

    public String getLiteralValueIsEqualTo(Node node)
                                    throws XMLParsingException

  Parameters:
    `node` -
  Returns:
    the value
  Throws:
    `XMLParsingException`

### getId

    public static String getId()

  Returns:
    a new generated id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org